Correlations
Returns the correlations between a list of tickers. Date must be the current or a past date. If no date is given, returns data for the current/last market day.
You can filter the time period either by:
- Using the
intervalparameter (e.g. “1y”, “6m”, “3m”, “1m”) - Using
start_dateand optionallyend_date(ifend_dateis not provided, it defaults to the current date)
If you send interval alongside start_date, interval filter will take priority.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.
"AAPL,INTC"
The timeframe of the data to return. Can be one of the following formats:
- YTD
- 1D, 2D, etc.
- 1W, 2W, etc.
- 1M, 2M, etc.
- 1Y, 2Y, etc.
"2M"
A date in the format of YYYY-MM-DD to start the correlation calculation from. This is optional and works alongside end_date to define a specific time range. Can be used as an alternative to the interval parameter.
"2023-01-01T00:00:00.000Z"
A date in the format of YYYY-MM-DD to end the correlation calculation. This is optional and defaults to the current date when start_date is provided. Works alongside start_date to define a specific time range. Can be used as an alternative to the interval parameter.
"2023-12-31T00:00:00.000Z"
Response
A list of correlations
